curl --request PATCH \
--url https://api.voucher-staging.allride.io/consumer/v1/catalog/voucher-sets/{voucherSetId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.voucher-staging.allride.io/consumer/v1/catalog/voucher-sets/{voucherSetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/catalog/voucher-sets/{voucherSetId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.patch("https://api.voucher-staging.allride.io/consumer/v1/catalog/voucher-sets/{voucherSetId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/catalog/voucher-sets/{voucherSetId}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/catalog/voucher-sets/{voucherSetId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 2030,
"resource": "consumer-catalog-entry",
"providerPartnerId": 1030,
"provider": {
"id": 1030,
"resource": "consumer-catalog-provider",
"slug": "acme-scooters",
"displayName": {
"de": "Acme Scooters",
"en": "Acme Scooters"
},
"logoUrl": "https://assets.voucher.allride.io/acme-scooters/3095.png",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/consumer/v1/catalog/providers/1030",
"type": "application/json"
}
}
},
"voucherKind": "code",
"availability": "active",
"activeFrom": "2026-10-01T00:00:00Z",
"deactivateAt": null,
"revisionNo": 2,
"revisionApprovedAt": "2026-09-28T09:40:11Z",
"live": {
"name": {
"de": "5 € Fahrguthaben",
"en": "€5 ride credit"
},
"summary": {
"de": "Für alle E-Scooter",
"en": "For all e-scooters"
},
"bullets": [
{
"de": "Einmal einlösbar",
"en": "Single use"
}
],
"description": null,
"howToRedeem": [
{
"de": "App öffnen und Code unter Wallet eingeben",
"en": "Open the app and enter the code under Wallet"
}
],
"termsText": {
"de": "Einmal pro Konto einlösbar.",
"en": "Redeemable once per account."
},
"valueLabel": {
"de": "5 € Rabatt",
"en": "€5 off"
},
"faceValue": {
"value": 500,
"label": "€5.00"
},
"categoryId": 7017,
"linkTemplate": "https://acme-scooters.example.com/r?c={{code}}",
"allowedLinkHosts": [
"acme-scooters.example.com"
],
"allowedLinkSchemes": [],
"brandingOverride": null,
"countries": [
"DE"
],
"extensions": null,
"metadata": null
},
"brandingOverrideAssetUrls": null,
"stockStatus": "available",
"providerToggle": true,
"voucherSetToggle": true,
"position": 1,
"featured": true,
"effectiveCategoryId": 7017,
"priceAcceptance": {
"status": "accepted",
"nextChangeAt": null
},
"setting": {
"enabled": true,
"position": null,
"featured": false,
"categoryOverrideId": null,
"entityLimit": {
"max": 1,
"period": "calendar-month"
},
"settings": null,
"externalRef": "3",
"updatedAt": "2026-10-20T10:02:00Z"
},
"_links": {
"self": {
"href": "https://api.voucher.allride.io/consumer/v1/catalog/voucher-sets/2030",
"type": "application/json"
},
"provider": {
"href": "https://api.voucher.allride.io/consumer/v1/catalog/providers/1030",
"type": "application/json"
}
}
}
}Update voucher set toggle and settings
Turns a voucher set on or off for you and edits your voucher set setting, including the per-entity limit entityLimit. A set is redeemable only when both its Provider Toggle and Voucher Set Toggle are on. Toggles may be set on upcoming sets. See Catalog and toggles.
Required permissions: manage-consumer-catalog · API keys: allowed
curl --request PATCH \
--url https://api.voucher-staging.allride.io/consumer/v1/catalog/voucher-sets/{voucherSetId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.voucher-staging.allride.io/consumer/v1/catalog/voucher-sets/{voucherSetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/catalog/voucher-sets/{voucherSetId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.patch("https://api.voucher-staging.allride.io/consumer/v1/catalog/voucher-sets/{voucherSetId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/catalog/voucher-sets/{voucherSetId}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/catalog/voucher-sets/{voucherSetId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 2030,
"resource": "consumer-catalog-entry",
"providerPartnerId": 1030,
"provider": {
"id": 1030,
"resource": "consumer-catalog-provider",
"slug": "acme-scooters",
"displayName": {
"de": "Acme Scooters",
"en": "Acme Scooters"
},
"logoUrl": "https://assets.voucher.allride.io/acme-scooters/3095.png",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/consumer/v1/catalog/providers/1030",
"type": "application/json"
}
}
},
"voucherKind": "code",
"availability": "active",
"activeFrom": "2026-10-01T00:00:00Z",
"deactivateAt": null,
"revisionNo": 2,
"revisionApprovedAt": "2026-09-28T09:40:11Z",
"live": {
"name": {
"de": "5 € Fahrguthaben",
"en": "€5 ride credit"
},
"summary": {
"de": "Für alle E-Scooter",
"en": "For all e-scooters"
},
"bullets": [
{
"de": "Einmal einlösbar",
"en": "Single use"
}
],
"description": null,
"howToRedeem": [
{
"de": "App öffnen und Code unter Wallet eingeben",
"en": "Open the app and enter the code under Wallet"
}
],
"termsText": {
"de": "Einmal pro Konto einlösbar.",
"en": "Redeemable once per account."
},
"valueLabel": {
"de": "5 € Rabatt",
"en": "€5 off"
},
"faceValue": {
"value": 500,
"label": "€5.00"
},
"categoryId": 7017,
"linkTemplate": "https://acme-scooters.example.com/r?c={{code}}",
"allowedLinkHosts": [
"acme-scooters.example.com"
],
"allowedLinkSchemes": [],
"brandingOverride": null,
"countries": [
"DE"
],
"extensions": null,
"metadata": null
},
"brandingOverrideAssetUrls": null,
"stockStatus": "available",
"providerToggle": true,
"voucherSetToggle": true,
"position": 1,
"featured": true,
"effectiveCategoryId": 7017,
"priceAcceptance": {
"status": "accepted",
"nextChangeAt": null
},
"setting": {
"enabled": true,
"position": null,
"featured": false,
"categoryOverrideId": null,
"entityLimit": {
"max": 1,
"period": "calendar-month"
},
"settings": null,
"externalRef": "3",
"updatedAt": "2026-10-20T10:02:00Z"
},
"_links": {
"self": {
"href": "https://api.voucher.allride.io/consumer/v1/catalog/voucher-sets/2030",
"type": "application/json"
},
"provider": {
"href": "https://api.voucher.allride.io/consumer/v1/catalog/providers/1030",
"type": "application/json"
}
}
}
}Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Path Parameters
Id of the voucher set. Unsigned 64-bit integer (ids and large counters). May exceed 2^53; parse with a BigInt-safe JSON parser in JavaScript.
0 <= x <= 18446744073709552000Body
JSON Merge Patch of your voucher set setting; setting is merged recursively.
Fields to change.
Show child attributes
Show child attributes
Response
OK
Single-object envelope around a ConsumerCatalogEntry.
A voucher set visible to you (approved live revision, scheduled or active, AllRide grants you access), with your setting.
Show child attributes
Show child attributes